Create a new category
Create a new custom expense category for the organization.
Authentication
AuthorizationBearer
Bearer token authentication for Mercury API.
Use your API token in the Authorization header:
Authorization: Bearer TOKEN
Example:
Authorization: Bearer secret-token:mercury_production_wma_24SCp4G81X3yHL4Wq8FgzuaP9ye3VKf2mgTDctXyRg5HY_yrucrem
Your Mercury API token should include the ‘secret-token:’ prefix. Tokens can be generated from your Mercury dashboard settings.
Request
This endpoint expects an object.
name
The name of a custom expense category.
visibleForCardSpend
Whether this category is applicable to card transactions
visibleForOther
Whether this category is applicable to all other transaction kinds
visibleForReimbursements
Whether this category is applicable to expense reimbursement transactions
Response
id
name
The name of the category
visibleForCardSpend
Whether this category is applicable to card transactions
visibleForOther
Whether this category is applicable to all other transaction kinds
visibleForReimbursements
Whether this category is applicable to expense reimbursement transactions
Errors
400
Bad Request Error

